Bug 111331 - Kernel panic when copying files to external USB device
Kernel panic when copying files to external USB device
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-02 06:03 EST by Frode Tennebø
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frode Tennebø 2003-12-02 06:03:03 EST
Description of problem:

With reference to my (incorrect?) entry for bug 88402:

By copying files to my Maxtor 5000XT usb disk I get a sever hang of 
the system (not always the same severity: sometimes it manages to 
dump to /var/log/messages, sometimes not - I used ext3).

Version-Release number of selected component (if applicable):
[root@garvin spool]# uname -a
Linux garvin 2.4.20-20.9 #1 Mon Aug 18 11:37:49 EDT 2003 i686 i686 
i386 GNU/Linux


How reproducible:
Often.

Steps to Reproduce:
1. Connect USB disk, mount it
2. Copy file(s) to it
3. Wait, possibly repeat 2
  
Actual results:

Dec  2 11:13:45 garvin kernel:  <6>hub.c: new USB device 00:14.2-1, 
assigned address 4
Dec  2 11:13:49 garvin /etc/hotplug/usb.agent: Setup usb-storage for 
USB product d49/5000/100
Dec  2 11:13:50 garvin kernel: Device not ready.  Make sure there is 
a disc in the drive.
Dec  2 11:17:57 garvin kernel: Unable to handle kernel paging request 
at virtual address 27202038
Dec  2 11:17:57 garvin kernel:  printing eip:
Dec  2 11:17:57 garvin kernel: c01403dc
Dec  2 11:17:57 garvin kernel: *pde = 00000000
Dec  2 11:17:57 garvin kernel: Oops: 0000
Dec  2 11:17:57 garvin kernel: nls_iso8859-1 nls_cp437 vfat fat 
usb-storage binfmt_misc autofs nfs lockd sunrpc tlan ipchains sg 
sr_mod ide
-scsi ide-cd cdrom keybdev mousedev hid input usb-
Dec  2 11:17:57 garvin kernel: CPU:    0
Dec  2 11:17:57 garvin kernel: EIP:    0060:[<c01403dc>]    Not 
tainted
Dec  2 11:17:57 garvin kernel: EFLAGS: 00010203
Dec  2 11:17:57 garvin kernel: 
Dec  2 11:17:57 garvin kernel: EIP is at sync_page_buffers [kernel] 
0x14 (2.4.20-20.9)
Dec  2 11:17:57 garvin kernel: eax: 00000000   ebx: 27202020   ecx: 
000001d0   edx: 00000040
Dec  2 11:17:57 garvin kernel: esi: 00000007   edi: 00000002   ebp: 
cc1a1250   esp: cffa9efc
Dec  2 11:17:57 garvin kernel: ds: 0068   es: 0068   ss: 0068
Dec  2 11:17:57 garvin kernel: Process kswapd (pid: 4, 
stackpage=cffa9000)
Dec  2 11:17:57 garvin kernel: Stack: cc1a1250 c11aa90c cc1a1250 
c11aa90c c0140514 cc1a1250 c11aa928 c11aa90c 
Dec  2 11:17:57 garvin kernel:        000001d0 c02ee5a4 c0133aca 
c11aa90c 000001d0 012ee160 00000001 000000ff 
Dec  2 11:17:57 garvin kernel:        c02ee3e0 00000000 c01348ab 
c02ee3e0 000001d0 c11aa90c 00001ac4 c02ee3e0 
Dec  2 11:17:57 garvin kernel: Call Trace:   [<c0140514>] 
try_to_free_buffers [kernel] 0xd8 (0xcffa9f0c))
Dec  2 11:17:57 garvin kernel: [<c0133aca>] launder_page [kernel] 
0x54a (0xcffa9f24))
Dec  2 11:17:57 garvin kernel: [<c01348ab>] rebalance_dirty_zone 
[kernel] 0x4f (0xcffa9f44))
Dec  2 11:17:57 garvin kernel: [<c0134957>] rebalance_inactive_zone 
[kernel] 0x73 (0xcffa9f64))
Dec  2 11:17:57 garvin kernel: [<c01349bf>] rebalance_inactive 
[kernel] 0x37 (0xcffa9f84))
Dec  2 11:17:57 garvin kernel: [<c0134aa2>] 
do_try_to_free_pages_kswapd [kernel] 0x2e (0xcffa9fa8))
Dec  2 11:17:57 garvin kernel: [<c0134d0e>] kswapd [kernel] 0x72 
(0xcffa9fdc))
Dec  2 11:17:57 garvin kernel: [<c0134c9c>] kswapd [kernel] 0x0 
(0xcffa9fe4))
Dec  2 11:17:57 garvin kernel: [<c0106fc1>] kernel_thread_helper 
[kernel] 0x5 (0xcffa9ff0))
Dec  2 11:17:57 garvin kernel: 
Dec  2 11:17:58 garvin kernel: 
Dec  2 11:17:58 garvin kernel: Code: f7 43 18 06 00 00 00 74 2b 0f ab 
73 18 19 c0 85 c0 74 21 0f 
Dec  2 12:20:15 garvin syslogd 1.4.1: restart.
:

Expected results:

Well.....it should work.

Additional info:

I use USB1 on the host if that matters. It also seems to be more 
reproducible if the load on the host is high.
Comment 1 Bugzilla owner 2004-09-30 11:41:43 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.